"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Packet Format
exports.STX = 0x02; // Marks beginnnig of packet
exports.ETX = 0x03; // Marks end of packet
exports.ESC = 0x1b; // Precedes an escaped character
exports.CRC_ERROR = 0xe0;
exports.MAX_DATA_LENGTH = 64; // Max number of bytes in data field of a packet
exports.BAUDRATE = 57600;
exports.START_BUFFER = Buffer.alloc(16, 'U');
exports.OPEN_BUFFER = Buffer.from('c45b3');
exports.commands = {
    READ_VERSION_BOOTLOADER: 0x11,
    READ_VERSION_FIRMWARE: 0x12,
    READ_VERSION_EEPROM: 0x13,
    START_APPLICATION: 0x18,
    SET_ADDRESS: 0x21,
    FLASH_WRITE_DATA: 0x22,
    FLASH_READ_DATA: 0x23,
    EEPROM_WRITE_DATA: 0x24,
    EEPROM_READ_DATA: 0x25,
};
