/// <reference types="node" />
export default class Programmer {
    private connection;
    constructor(portPath: string);
    connect(): Promise<{
        model: string;
        hwVersion: string;
        fwVersion: string;
    }>;
    flash(address: number, data: Buffer): Promise<void>;
    quit(): Promise<void>;
    startApplication(): Promise<void>;
    getBoardInfo(): Promise<{
        model: string;
        version: string;
    }>;
    getFirmwareVersion(): Promise<string>;
    setFlashAddress(address: number): Promise<void>;
    writeFlash(data: Buffer | number[]): Promise<void>;
    send(data: number[]): Promise<number[]>;
    private split;
    private appendCrc;
    private isValid;
    private crcError;
}
